Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "888d913f-c021-4e25-acbc-3b3720a59ad8",
"user_id": "ef73767d-c18e-4253-b351-931d09f33b8f",
"user_planning_slot_type_id": "4a4d0eaa-4748-49e0-9dcc-c505f26e971e",
"date_from": "2026-11-22T08:04:04.1426368+00:00",
"date_to": "2026-11-22T08:04:04.1426368+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-22T08:04:04.1426368+00:00"
}